class servicesConstants {
   static Map<String, Map<String, dynamic>> servicesType = {
     "houseCleaning": {
       "text": "houseCleaning",
       "type": "houseCleaning",
       'code': 0,
     },
     "airConditioner": {
       "text": "airConditioner",
       "type": "airConditioner",
       'code': 1,
     },
     "repaire": {
       "text": "维修",
       "type": "repaire",
       'code': 2,
     }
  };

   static Map<String, dynamic> servicesStatus = {
     "0": {
       "text": "Pending",
       "type": "pending",
       'code': 0,
     },
     "1": {
       "text": "In Progress",
       "type": "inProgress",
       'code': 1,
     },
     "2": {
       "text": "completed",
       "type": "completed",
       'code': 2,
     },
     "3": {
       "text": "canceled",
       "type": "canceled",
       'code': 3,
     }
  };

   static Map<int, List<Map<String, dynamic>>> servicesStatusActionBtnList = {
     // pending, inProgress, completed, canceled
     servicesStatus['0']['code']: [
       actionBtn['0'],
       actionBtn['1'],
       actionBtn['2'],
     ],
     servicesStatus['1']['code']: [
       actionBtn['0'],
       actionBtn['1'],
       actionBtn['2'],
     ],
     servicesStatus['2']['code']: [
       actionBtn['3'],
       actionBtn['4'],
     ],
     servicesStatus['3']['code']: [
       actionBtn['3'],
     ]
   };

  static Map<String, dynamic> actionBtn = {
     "0": {
       "text": "Cancel",
       "type": "cancel",
       'code': 0,
       'btnColor': '#FFFE6C00',
       'btnWidth': 65.0,
       'btnHeight': 35.0,
     },
     "1": {
       "text": "Contact Merchant",
       "type": "contactMerchant",
       'code': 1,
       'btnColor': '#FF4161D0',
       'btnWidth': 115.0,
       'btnHeight': 35.0,
     },
    "2": {
      "text": "Contact Service Personnel",
      "type": "contactServicePersonnel",
      'code': 2,
      'btnColor': '#FF01CA48',
      'btnWidth': 115.0,
      'btnHeight': 35.0,
    },
    "3": {
      "text": "Delete",
      "type": "delete",
      'code': 3,
      'btnColor': '#FFFE4066',
      'btnWidth': 98.0,
      'btnHeight': 30.0,
    },
    "4": {
      "text": "Evaluate",
      "type": "evaluate",
      'code': 4,
      'btnColor': '#FF4161D0',
      'btnWidth': 98.0,
      'btnHeight': 30.0,
    }
  };
}