import 'package:domain/entity/garage_sale_rent_detail_entity.dart';
import 'package:domain/entity/service_repair_detail_entity.dart';
import 'package:widgets/load_state_layout.dart';

class ServiceRepairDetailState {
  //页面 LoadView 状态的展示
  LoadState loadingState;
  String? errorMessage;

  final int? id;
  final String? type;

  ServiceRepairDetailEntity? datas;

  ServiceRepairDetailState({
    this.loadingState = LoadState.State_Loading,
    this.errorMessage,
    this.id,
    this.type,
    required this.datas,
  });

  ServiceRepairDetailState copyWith({
    ServiceRepairDetailEntity? datas,
    LoadState? loadingState,
    String? errorMessage,
    int? id,
    String? type,
  }) {
    return ServiceRepairDetailState(
      loadingState: loadingState ?? this.loadingState,
      errorMessage: errorMessage ?? this.errorMessage,
      id: id ?? this.id,
      type: type ?? this.type,
      datas: datas?? this.datas,
    );
  }
}